"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownMenuItem = exports.DropdownMenu = exports.Dropdown = void 0;
const react_1 = __importStar(require("react"));
const s = __importStar(require("../styles"));
const strong_strap_1 = require("../../strong-strap");
const Dropdown = ({ children }) => {
    return (react_1.default.createElement("div", { style: s.Dropdown }, children));
};
exports.Dropdown = Dropdown;
const DropdownMenu = ({ children, isExpanded = false, isRightAligned = false }) => {
    const finalStyle = {
        ...s.DropdownMenu,
        display: (isExpanded) ? 'block' : 'none',
    };
    if (isRightAligned === true)
        finalStyle.right = 0;
    return (react_1.default.createElement("div", { style: finalStyle },
        react_1.default.createElement(strong_strap_1.Expander, { isExpanded: isExpanded }, children)));
};
exports.DropdownMenu = DropdownMenu;
const DropdownMenuItem = ({ children, ...rest }) => {
    const [finalStyle, setFinalStyle] = (0, react_1.useState)(s.DropdownMenuItem);
    return (react_1.default.createElement("button", { type: "button", style: finalStyle, ...rest, onMouseEnter: () => { setFinalStyle({ ...s.DropdownMenuItem, backgroundColor: 'var(--bs-dropdown-link-hover-bg)' }); }, onMouseLeave: () => { setFinalStyle(s.DropdownMenuItem); } }, children));
};
exports.DropdownMenuItem = DropdownMenuItem;
//# sourceMappingURL=dropdown.js.map