"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Expander = void 0;
const web_1 = require("@react-spring/web");
const react_1 = __importDefault(require("react"));
const Expander = ({ children, isExpanded = false, ...rest }) => {
    const styles = (0, web_1.useSpring)({
        config: web_1.config.stiff,
        opacity: isExpanded ? 1 : 0,
    });
    return (react_1.default.createElement(web_1.animated.div, { style: styles }, children));
};
exports.Expander = Expander;
//# sourceMappingURL=expander.js.map