import { ComponentPropsWithoutRef } from "react";
import { KnownIcon } from "../../strong-strap";
interface IImagePlaceholder extends ComponentPropsWithoutRef<'img'> {
    alt: string;
    aspectRatio?: string;
    backgroundColor?: string;
    fillColor?: string;
    knownIcon?: KnownIcon;
    src: string;
}
export declare const ImagePlaceholder: ({ alt, aspectRatio, backgroundColor, fillColor, knownIcon, src, ...rest }: IImagePlaceholder) => JSX.Element;
export {};
