import { ComponentPropsWithoutRef } from "react";
interface INavBar extends ComponentPropsWithoutRef<'nav'> {
    isFixedTop?: boolean;
}
export declare const NavBar: ({ children, isFixedTop }: INavBar) => JSX.Element;
interface INavBarToggler extends ComponentPropsWithoutRef<'button'> {
    isVisible?: boolean;
}
export declare const NavBarToggler: ({ isVisible, ...rest }: INavBarToggler) => JSX.Element | null;
interface INavBarCollapse extends ComponentPropsWithoutRef<'div'> {
    isVertical?: boolean;
    isVisible?: boolean;
}
export declare const NavBarCollapse: ({ children, isVertical, isVisible }: INavBarCollapse) => JSX.Element;
interface INavBarNav extends ComponentPropsWithoutRef<'div'> {
    isVertical?: boolean;
}
export declare const NavBarNav: ({ children, isVertical }: INavBarNav) => JSX.Element;
export {};
