"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Carousel = void 0;
const react_1 = __importStar(require("react"));
const s = __importStar(require("../styles"));
const strong_strap_1 = require("../../strong-strap");
const Carousel = ({ aspectRatio = '20%', children, duration = 5000, ...rest }) => {
    const [currentIndex, setIndex] = (0, react_1.useState)(0);
    const itemStyle = {
        ...s.AspectRatioItem,
        transition: 'opacity 3.0s'
    };
    (0, react_1.useEffect)(() => {
        const inter = setInterval(() => {
            setIndex(state => (state + 1) % children?.length);
        }, duration);
        return function cleanUp() { window.clearInterval(inter); };
    }, []);
    return (react_1.default.createElement(strong_strap_1.AspectRatioContainer, { aspectRatio: aspectRatio }, children?.map((child, index) => {
        return (react_1.default.createElement("div", { key: index, style: { ...itemStyle, opacity: (index === currentIndex) ? 1 : 0 } }, child));
    })));
};
exports.Carousel = Carousel;
//# sourceMappingURL=carousel.js.map