import { ComponentPropsWithoutRef } from "react";
import { KnownIcon } from "../../strong-strap";
interface IIconToggle extends ComponentPropsWithoutRef<'input'> {
    caption?: string;
    checkedIcon: KnownIcon;
    checkedFill?: string;
    uncheckedFill?: string;
    uncheckedIcon: KnownIcon;
    width?: string;
}
export declare const IconToggle: ({ checked, caption, checkedFill, checkedIcon, id, onChange, uncheckedFill, uncheckedIcon, width, ...rest }: IIconToggle) => JSX.Element;
export {};
