"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconToggle = void 0;
const react_1 = __importStar(require("react"));
const strong_strap_1 = require("../../strong-strap");
const s = __importStar(require("../styles"));
const IconToggle = ({ checked, caption = '', checkedFill = 'currentColor', checkedIcon, id, onChange, uncheckedFill = 'currentColor', uncheckedIcon, width = '100%', ...rest }) => {
    const [isChecked, setIsChecked] = (0, react_1.useState)(checked);
    const thisChanged = (e) => {
        setIsChecked(!isChecked);
        if (onChange)
            onChange(e);
    };
    return (react_1.default.createElement("div", { style: { width } },
        react_1.default.createElement("div", { style: { paddingTop: '100%', position: 'relative' } },
            react_1.default.createElement(strong_strap_1.Icon, { knownIcon: uncheckedIcon, fill: uncheckedFill, style: { ...s.AspectRatioItem, display: (isChecked) ? 'none' : 'block' } }),
            react_1.default.createElement(strong_strap_1.Icon, { knownIcon: checkedIcon, fill: checkedFill, style: { ...s.AspectRatioItem, display: (isChecked) ? 'block' : 'none' } }),
            react_1.default.createElement("input", { type: "checkbox", style: { ...s.AspectRatioItem, appearance: 'none' }, onChange: (e) => { thisChanged(e); }, id: id, ...rest })),
        (caption && caption.length > 0)
            ? react_1.default.createElement("label", { htmlFor: id }, caption)
            : null));
};
exports.IconToggle = IconToggle;
//# sourceMappingURL=iconToggle.js.map