"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FixedTop = exports.FloatingLabelFocus = exports.FloatingLabel = exports.FormFloatingFormControl = exports.FormFloating = exports.FormControlFocus = exports.FormControl = exports.FormCheckInputFocus = exports.FormCheckInputChecked = exports.FormCheckInput = exports.FormCheckSwitch = exports.FormCheck = exports.DropdownMenuItem = exports.DropdownMenu = exports.Dropdown = exports.Container = exports.CloseButton = exports.CardWall = exports.CardTitle = exports.CardText = exports.CardImageTop = exports.CardImage = exports.CardBody = exports.Card = exports.BtnSuccessStates = exports.BtnSuccessHover = exports.BtnSuccessFocus = exports.BtnSuccess = exports.BtnLinkStates = exports.BtnLinkHover = exports.BtnLinkFocus = exports.BtnLink = exports.BtnLightStates = exports.BtnLightHover = exports.BtnLightFocus = exports.BtnLight = exports.BtnSecondaryStates = exports.BtnSecondaryHover = exports.BtnSecondaryFocus = exports.BtnSecondary = exports.BtnPrimaryStates = exports.BtnPrimaryHover = exports.BtnPrimaryFocus = exports.BtnPrimary = exports.BtnStates = exports.Btn = exports.Backdrop = exports.AspectRatioItem = exports.AspectRatioContainer = exports.bshamburgericon = void 0;
exports.ScrollToTop = exports.Col = exports.RowChild = exports.Row = exports.NavLinkHover = exports.NavLink = exports.NavBarTogglerIcon = exports.NavBarTogglerFocus = exports.NavBarToggler = exports.NavBarNavVer = exports.NavBarNavHor = exports.NavBarNav = exports.NavBarCollapseVer = exports.NavBarCollapseHor = exports.NavBarCollapse = exports.NavBarBrand = exports.NavBar = exports.ModalHeader = exports.ModalFooter = exports.ModalDialog = exports.ModalContent = exports.ModalBody = exports.MasonryCol = exports.MasonryBrick = exports.Masonry = exports.Lead = exports.HorizontalScrollContainer = void 0;
exports.bshamburgericon = `url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgb%28140, 140, 140%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")`;
exports.AspectRatioContainer = {
    display: 'flex',
    position: 'relative',
};
exports.AspectRatioItem = {
    height: '100%',
    left: 0,
    objectFit: 'cover',
    position: 'absolute',
    top: 0,
    width: '100%',
};
exports.Backdrop = {
    alignItems: 'center',
    backgroundColor: 'rgba(0, 0, 0, 0.5)',
    display: 'flex',
    height: '100vh',
    justifyContent: 'center',
    left: 0,
    position: 'fixed',
    top: 0,
    width: '100vw',
};
exports.Btn = {
    backgroundColor: 'transparent',
    border: '1px solid transparent',
    borderRadius: '.25rem',
    color: 'var(--bs-body-color)',
    cursor: 'pointer',
    display: 'inline-block',
    fontFamily: 'inherit',
    fontSize: '1rem',
    fontWeight: 400,
    lineHeight: 1.5,
    padding: '.375rem .75rem',
    textDecoration: 'none',
    textTransform: 'none',
    transition: 'none',
    userSelect: 'none',
    verticalAlign: 'middle',
    WebkitAppearance: 'button',
};
exports.BtnStates = {
    active: exports.Btn,
    base: exports.Btn,
    focus: exports.Btn,
    hover: exports.Btn,
};
exports.BtnPrimary = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#0d6efd',
    borderColor: '#0d6efd',
};
exports.BtnPrimaryFocus = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#0b5ed7',
    borderColor: '#0a58ca',
    boxShadow: '0 0 0 0.25rem rgb(49 132 253 / 50%)',
};
exports.BtnPrimaryHover = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#0b5ed7',
    borderColor: '#0a58ca',
};
exports.BtnPrimaryStates = {
    active: {},
    base: exports.BtnPrimary,
    focus: exports.BtnPrimaryFocus,
    hover: exports.BtnPrimaryHover,
};
exports.BtnSecondary = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#6c757d',
    borderColor: '#6c757d',
};
exports.BtnSecondaryFocus = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#5c636a',
    borderColor: '#565e64',
    boxShadow: '0 0 0 0.25rem rgb(130 138 145 / 50%)',
};
exports.BtnSecondaryHover = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#5c636a',
    borderColor: '#565e64',
};
exports.BtnSecondaryStates = {
    active: {},
    base: exports.BtnSecondary,
    focus: exports.BtnSecondaryFocus,
    hover: exports.BtnSecondaryHover,
};
exports.BtnLight = {
    ...exports.Btn,
    color: '#000',
    backgroundColor: '#f8f9fa',
    borderColor: '#f8f9fa',
};
exports.BtnLightFocus = {
    ...exports.Btn,
    color: '#000',
    backgroundColor: '#f9fafb',
    borderColor: '#f9fafb',
    boxShadow: '0 0 0 0.25rem rgba(211, 212, 213, 0.5)',
};
exports.BtnLightHover = {
    ...exports.Btn,
    color: '#000',
    backgroundColor: '#d3d4d5',
    borderColor: '#c6c7c8',
};
exports.BtnLightStates = {
    active: {},
    base: exports.BtnLight,
    focus: exports.BtnLightFocus,
    hover: exports.BtnLightHover,
};
exports.BtnLink = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#198754',
    borderColor: '#198754',
};
exports.BtnLinkFocus = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#157347',
    borderColor: '#146c43',
    boxShadow: '0 0 0 0.25rem rgba(60, 153, 110, 0.5)',
};
exports.BtnLinkHover = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#157347',
    borderColor: '#146c43',
};
exports.BtnLinkStates = {
    active: {},
    base: exports.BtnLink,
    focus: exports.BtnLinkFocus,
    hover: exports.BtnLinkHover,
};
exports.BtnSuccess = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#198754',
    borderColor: '#198754',
};
exports.BtnSuccessFocus = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#157347',
    borderColor: '#146c43',
    boxShadow: '0 0 0 0.25rem rgba(60, 153, 110, 0.5)',
};
exports.BtnSuccessHover = {
    ...exports.Btn,
    color: '#fff',
    backgroundColor: '#157347',
    borderColor: '#146c43',
};
exports.BtnSuccessStates = {
    active: {},
    base: exports.BtnSuccess,
    focus: exports.BtnSuccessFocus,
    hover: exports.BtnSuccessHover,
};
exports.Card = {
    position: 'relative',
    display: 'flex',
    flexDirection: 'column',
    minWidth: 0,
    wordWrap: 'break-word',
    backgroundColor: '#fff',
    backgroundClip: 'border-box',
    border: '1px solid rgba(0,0,0,.125)',
    borderRadius: '.25rem',
};
exports.CardBody = {
    wordWrap: 'break-word',
    boxSizing: 'border-box',
    flex: '1 1 auto',
    padding: '1rem 1rem',
};
exports.CardImage = {
    verticalAlign: 'middle',
    width: '100%',
};
exports.CardImageTop = {
    ...exports.CardImage,
    borderTopLeftRadius: 'calc(.25rem - 1px)',
    borderTopRightRadius: 'calc(.25rem - 1px)',
};
exports.CardText = {
    wordWrap: 'break-word',
    boxSizing: 'border-box',
};
exports.CardTitle = {
    marginTop: 0,
    fontWeight: 500,
    lineHeight: 1.2,
    fontSize: '1.25rem',
    marginBottom: '.5rem',
};
exports.CardWall = {
    display: 'flex',
    flexWrap: 'wrap',
    justifyContent: 'space-evenly',
    width: '100%'
};
exports.CloseButton = {
    background: `transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") center/1em auto no-repeat`,
    border: 0,
    borderRadius: '.25rem',
    boxSizing: 'content-box',
    cursor: 'pointer',
    height: '1em',
    margin: '-.5rem',
    padding: '.5rem',
    width: '1em',
};
exports.Container = {
    marginLeft: 'auto',
    marginRight: 'auto',
    paddingLeft: 'calc(var(--bs-gutter-x) * .5)',
    paddingRight: 'calc(var(--bs-gutter-x) * .5)',
    width: '100%',
    display: 'inherit',
    flexWrap: 'inherit',
    alignItems: 'inherit',
    justifyContent: 'inherit',
};
exports.Dropdown = {
    display: 'inline-flex',
    position: 'relative',
    verticalAlign: 'middle',
};
exports.DropdownMenu = {
    backgroundClip: 'padding-box',
    backgroundColor: 'var(--bs-dropdown-bg)',
    border: '1px solid rgba(0,0,0,.15)',
    borderRadius: '.25rem',
    listStyle: 'none',
    minWidth: '10rem',
    margin: 0,
    padding: '.5rem',
    position: 'absolute',
    textAlign: 'left',
    top: '100%',
    zIndex: 1000,
};
exports.DropdownMenuItem = {
    backgroundColor: 'transparent',
    border: '1px solid transparent',
    borderRadius: '.25rem',
    clear: 'both',
    color: 'var(--bs-body-color)',
    display: 'block',
    padding: '.25rem 1rem',
    textAlign: 'left',
    width: '100%',
    whiteSpace: 'nowrap',
};
exports.FormCheck = {
    display: 'block',
    marginBottom: '.125rem',
    minHeight: '1.5rem',
    paddingLeft: '1.5em',
};
exports.FormCheckSwitch = {
    ...exports.FormCheck,
    paddingLeft: '2.5em',
};
exports.FormCheckInput = {
    margin: 0,
    height: '1em',
    marginTop: '.25em',
    verticalAlign: 'top',
    backgroundColor: '#fff',
    backgroundRepeat: 'no-repeat',
    backgroundSize: 'contain',
    borderWidth: '1px',
    borderStyle: 'solid',
    borderColor: 'rgba(0,0,0,.25)',
    appearance: 'none',
    float: 'left',
    width: '2em',
    marginLeft: '-2.5em',
    backgroundImage: `url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e")`,
    backgroundPosition: 'left center',
    borderRadius: '2em',
    transition: 'none',
};
exports.FormCheckInputChecked = {
    ...exports.FormCheckInput,
    backgroundPosition: 'right center',
    backgroundColor: '#0d6efd',
    borderColor: '#0d6efd',
    backgroundImage: `url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e")`,
};
exports.FormCheckInputFocus = {
    borderColor: '#86b7fe',
    outline: 0,
    boxShadow: '0 0 0 .25rem rgba(13,110,253,.25)',
};
exports.FormControl = {
    display: 'block',
    width: '100%',
    padding: '.375rem .75rem',
    fontSize: '1rem',
    fontWeight: 400,
    lineHeight: 1.5,
    color: '#212529',
    backgroundColor: '#fff',
    backgroundClip: 'padding-box',
    borderWidth: '1px',
    borderColor: '#ced4da',
    borderStyle: 'solid',
    appearance: 'none',
    borderRadius: '.25rem',
    transition: 'border-color .15s ease-in-out,box-shadow .15s ease-in-out',
    WebkitAppearance: 'none',
    MozAppearance: 'none',
};
exports.FormControlFocus = {
    ...exports.FormControl,
    borderColor: '#86b7fe',
    outline: 0,
    boxShadow: '0 0 0 .25rem rgba(13,110,253,.25)',
};
exports.FormFloating = {
    position: 'relative',
};
exports.FormFloatingFormControl = {
    ...exports.FormControl,
    height: 'calc(3.5rem + 2px)',
    lineHeight: 1.25,
    paddingTop: '1.625rem',
    paddingBottom: '.625rem',
};
exports.FloatingLabel = {
    border: '1px solid transparent',
    color: '#777',
    left: 0,
    height: '100%',
    padding: '1rem 0.75rem',
    pointerEvents: 'none',
    position: 'absolute',
    top: 0,
    transformOrigin: '0 0',
};
exports.FloatingLabelFocus = {
    ...exports.FloatingLabel,
    opacity: '0.65',
    transform: 'scale(0.85) translateY(-0.5rem) translateX(0.15rem)',
};
exports.FixedTop = {
    position: 'fixed',
    top: 0,
    right: 0,
    left: 0,
    zIndex: 1030,
};
exports.HorizontalScrollContainer = {
    display: "flex", overflowX: "auto", maxWidth: "100%"
};
exports.Lead = {
    fontSize: '1.25rem',
    fontWeight: '300',
};
exports.Masonry = {
    display: 'flex',
    justifyContent: 'space-evenly'
};
exports.MasonryBrick = {
    margin: '10px 0px',
};
exports.MasonryCol = {
    margin: '0px 5px',
};
exports.ModalBody = {
    flex: '1 1 auto',
    padding: '1rem',
    position: 'relative',
};
exports.ModalContent = {
    backgroundClip: 'padding-box',
    backgroundColor: '#fff',
    borderRadius: '.3em',
    border: '1px solid rgba(0,0,0,.2)',
    display: 'flex',
    flexDirection: 'column',
    position: 'relative',
    width: '100%'
};
exports.ModalDialog = {
    position: 'relative',
};
exports.ModalFooter = {
    alignItems: 'center',
    borderBottomLeftRadius: 'calc(.3rem - 1px)',
    borderBottomRightRadius: 'calc(.3rem - 1px)',
    borderTop: '1px solid #dee2e6',
    display: 'flex',
    flexShrink: 0,
    flexWrap: 'wrap',
    justifyContent: 'flex-end',
    padding: '.75rem',
};
exports.ModalHeader = {
    alignItems: 'center',
    borderBottom: '1px solid #dee2e6',
    borderTopLeftRadius: 'calc(.3rem - 1px)',
    borderTopRightRadius: 'calc(.3rem - 1px)',
    display: 'flex',
    flexShrink: 0,
    justifyContent: 'space-between',
    padding: '1rem'
};
exports.NavBar = {
    alignItems: 'center',
    backgroundColor: 'rgba(var(--bs-navbar-bgcolor),1)',
    display: 'flex',
    flexWrap: 'wrap',
    justifyContent: 'space-between',
    marginBottom: 0,
    padding: '0.5rem 0.5rem',
    position: 'relative',
};
exports.NavBarBrand = {
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    color: 'var(--bs-body-color)',
    fontSize: '1.25rem',
    marginRight: '1rem',
    paddingBottom: '0.3125rem',
    paddingTop: '0.3125rem',
    textDecoration: 'none',
    whiteSpace: 'nowrap',
};
exports.NavBarCollapse = {
    alignItems: 'center',
    flexGrow: '1',
};
exports.NavBarCollapseHor = {
    ...exports.NavBarCollapse,
    display: 'flex',
    flexBasis: 'auto',
};
exports.NavBarCollapseVer = {
    ...exports.NavBarCollapse,
    flexBasis: '100%',
};
exports.NavBarNav = {
    color: '',
    display: 'flex',
    flexBasis: '100%',
    flexGrow: 1,
    marginBottom: 0,
    paddingLeft: 0,
};
exports.NavBarNavHor = {
    ...exports.NavBarNav,
    flexDirection: 'row',
};
exports.NavBarNavVer = {
    ...exports.NavBarNav,
    flexDirection: 'column',
};
exports.NavBarToggler = {
    backgroundColor: 'transparent',
    border: '1px solid rgb(140, 140, 140)',
    borderRadius: '0.375rem',
    color: 'rgb(140, 140, 140)',
    cursor: 'pointer',
    fontSize: '1.25rem',
    lineHeight: 1,
    padding: '.25rem .75rem',
};
exports.NavBarTogglerFocus = {
    ...exports.NavBarToggler,
    textDecoration: 'none',
    boxShadow: '0 0 0 0.25rem',
    outline: 0,
};
exports.NavBarTogglerIcon = {
    backgroundImage: exports.bshamburgericon,
    backgroundColor: 'transparent',
    backgroundPosition: 'center',
    backgroundRepeat: 'no-repeat',
    backgroundSize: '100%',
    display: 'inline-block',
    height: '1.5em',
    width: '1.5em',
    verticalAlign: 'middle',
};
exports.NavLink = {
    color: 'var(--bs-body-color)',
    display: 'block',
    padding: '.5rem 1rem',
    textDecoration: 'none',
    transition: 'color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out',
};
exports.NavLinkHover = {
    borderColor: '#e9ecef #e9ecef #dee2e6',
};
exports.Row = {
    display: 'flex',
    flexWrap: 'wrap',
    marginLeft: 'calc(-.5 * var(--bs-gutter-x))',
    marginRight: 'calc(-.5 * var(--bs-gutter-x))',
    marginTop: 'calc(-1 * var(--bs-gutter-y))',
};
exports.RowChild = {
    marginTop: 'var(--bs-gutter-y)',
    maxWidth: '100%',
    paddingLeft: 'calc(var(--bs-gutter-x) * .5)',
    paddingRight: 'calc(var(--bs-gutter-x) * .5)',
    width: '100%',
};
exports.Col = {
    ...exports.RowChild,
    flexGrow: 1,
    flexShrink: 0,
    flexBasis: '0%',
};
exports.ScrollToTop = {
    bottom: '22px',
    fontSize: 'xx-large',
    position: 'fixed',
    right: '22px',
    zIndex: 500,
};
//# sourceMappingURL=index.js.map